Bought an upgrade to v10 from 9, can I use 9.5

Hey all,

I bit the bullet and upgraded from v9 of Cubase to 10. But the lack of right-click functionality is killing me and I wanted to use a version with that functionality, so do I need to pay for another 9.5 upgrade or will my 10.0 license allow me to run 9.5?

Thanks

Yes

only 13 posts underneath yours… :unamused:
https://www.steinberg.net/forums/viewtopic.php?f=250&t=155638